Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.export
Class JRExporterGridCell

    java.lang.Object
      net.sf.jasperreports.engine.export.JRExporterGridCell

Direct Known Subclasses:
  ElementGridCell, EmptyGridCell, OccupiedGridCell

    public abstract class JRExporterGridCell

extends java.lang.Object

Version:
  $Id: JRExporterGridCell.java 3940 2010-08-20 10:35:15Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Field Summary
`static byte` | `TYPE_ELEMENT_CELL`
`static byte` | `TYPE_EMPTY_CELL`
`static byte` | `TYPE_OCCUPIED_CELL`

Constructor Summary
`JRExporterGridCell(ElementWrapper wrapper, int width, int height, int colSpan, int rowSpan)`

Method Summary
`java.awt.Color` | `getBackcolor()`
`JRLineBox` | `getBox()`
`java.awt.Color` | `getCellBackcolor()`
`int` | `getColSpan()`
`JRPrintElement` | `getElement()`
`java.awt.Color` | `getForecolor()`
`int` | `getHeight()`
`JRGridLayout` | `getLayout()`
`int` | `getRowSpan()`
`abstract byte` | `getType()`
`int` | `getWidth()`
`ElementWrapper` | `getWrapper()`
`boolean` | `isEmpty()`
`void` | `setBackcolor(java.awt.Color backcolor)`
`void` | `setBox(JRLineBox box)`
`void` | `setColSpan(int colSpan)`
`void` | `setForecolor(java.awt.Color forecolor)`
`void` | `setLayout(JRGridLayout layout)`
`void` | `setWidth(int width)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TYPE_EMPTY_CELL

    public static final byte TYPE_EMPTY_CELL

See Also:
  Constant Field Values

### TYPE_OCCUPIED_CELL

    public static final byte TYPE_OCCUPIED_CELL

See Also:
  Constant Field Values

### TYPE_ELEMENT_CELL

    public static final byte TYPE_ELEMENT_CELL

See Also:
  Constant Field Values

Constructor Detail

### JRExporterGridCell

    public JRExporterGridCell(ElementWrapper wrapper,
                              int width,
                              int height,
                              int colSpan,
                              int rowSpan)

Method Detail

### getWrapper

    public ElementWrapper getWrapper()

### getElement

    public JRPrintElement getElement()

### getWidth

    public int getWidth()

### setWidth

    public void setWidth(int width)

### getHeight

    public int getHeight()

### getColSpan

    public int getColSpan()

### setColSpan

    public void setColSpan(int colSpan)

### getRowSpan

    public int getRowSpan()

### getLayout

    public JRGridLayout getLayout()

### setLayout

    public void setLayout(JRGridLayout layout)

### getBackcolor

    public java.awt.Color getBackcolor()

### setBackcolor

    public void setBackcolor(java.awt.Color backcolor)

### getBox

    public JRLineBox getBox()

### setBox

    public void setBox(JRLineBox box)

### getForecolor

    public java.awt.Color getForecolor()

### setForecolor

    public void setForecolor(java.awt.Color forecolor)

### getCellBackcolor

    public java.awt.Color getCellBackcolor()

### isEmpty

    public boolean isEmpty()

### getType

    public abstract byte getType()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com